Skip to main content
GET
Retrieve Token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

Response

200 - application/json
name
string
required

The token name

Maximum string length: 200
token
string | null
Maximum string length: 2000
token_type
enum<string>
  • sandbox_api_token - Sandbox
  • api_token - Back
Available options:
sandbox_api_token,
api_token
balance
number<double>

Optional remaining credits balance for this Token, if active_balance is set to True and the balance reaches 0, this token will become unusable

Required range: -100000 < x < 100000
active_balance
boolean

Weither to use the balance field or not.

expire_time
string<date-time> | null
balance_reset_amount
number<double> | null

The amount this token's balance is reset to at the start of each balance_reset_period. Null when balance_reset_period is 'none'.

Required range: -100000 < x < 100000
balance_reset_period
enum<string>

How often this token's balance is reinitialized to balance_reset_amount. 'none' = one-time balance (default, current behaviour).

  • none - None
  • daily - Daily
  • weekly - Weekly
  • monthly - Monthly
Available options:
none,
daily,
weekly,
monthly